Debian Bug report logs - #669466
pynn: FTBFS: tests failed

version graph

Package: src:pynn; Maintainer for src:pynn is NeuroDebian Team <team@neuro.debian.net>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 19:45:23 UTC

Severity: serious

Tags: sid, wheezy

Found in version pynn/0.7.2-1

Fixed in version pynn/0.7.4-1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Forwarded to Michael Hanke <mih@debian.org>, Andrew Davison <andrewpdavison@gmail.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#669466; Package src:pynn. (Thu, 19 Apr 2012 19:45:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Thu, 19 Apr 2012 19:45:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: pynn: FTBFS: tests failed
Date: Thu, 19 Apr 2012 21:31:05 +0200
Source: pynn
Version: 0.7.2-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> for PYVER in `pyversions -d -r -v`; do \
> 		PYTHONPATH=`/bin/ls -d /«PKGBUILDDIR»/build/lib.*-$PYVER` $PYTHON \
> 		 /usr/bin/nosetests -s -v --exclude='_(nest|neuron)' test/; done
> Failure: SkipTest () ... SKIP
> Failure: SkipTest () ... SKIP
> system.test_moose.test_recording ... SKIP
> system.test_moose.test_synaptic_connections ... SKIP
> Failure: SkipTest () ... SKIP
> system.test_pcsim.test_PoissonInputNeuron ... SKIP
> unittests.test_assembly.test_create_with_zero_populations ... ok
> unittests.test_assembly.test_create_with_one_population ... ok
> unittests.test_assembly.test_create_with_two_populations ... ok
> unittests.test_assembly.test_create_with_non_population_should_raise_Exception ... ok
> unittests.test_assembly.test_size_property ... ok
> unittests.test_assembly.test_positions_property ... ok
> unittests.test_assembly.test__len__ ... ok
> unittests.test_assembly.test_iter ... ok
> unittests.test_assembly.test__add__population ... ok
> unittests.test_assembly.test__add__assembly ... ok
> unittests.test_assembly.test_add_inplace_population ... ok
> unittests.test_assembly.test_add_inplace_assembly ... ok
> unittests.test_assembly.test_add_invalid_object ... ok
> unittests.test_assembly.test_initialize ... ok
> unittests.test_assembly.test_describe ... ok
> unittests.test_assembly.test_get_population ... ok
> unittests.test_assembly.test_all_cells ... ok
> unittests.test_assembly.test_local_cells ... ok
> unittests.test_assembly.test_mask_local ... ok
> unittests.test_assembly.test_save_positions ... ok
> unittests.test_basepopulation.test__getitem__int ... ok
> unittests.test_basepopulation.test__getitem__slice ... ok
> unittests.test_basepopulation.test__getitem__list ... ok
> unittests.test_basepopulation.test__getitem__tuple ... ok
> unittests.test_basepopulation.test__getitem__invalid ... ok
> unittests.test_basepopulation.test_len ... ok
> unittests.test_basepopulation.test_iter ... ok
> unittests.test_basepopulation.test_is_local ... ok
> unittests.test_basepopulation.test_all ... ok
> unittests.test_basepopulation.test_add ... ok
> unittests.test_basepopulation.test_get_cell_position ... ok
> unittests.test_basepopulation.test_set_cell_position ... ok
> unittests.test_basepopulation.test_get_cell_initial_value ... ok
> unittests.test_basepopulation.test_set_cell_initial_value ... ok
> unittests.test_basepopulation.test_nearest ... ok
> unittests.test_basepopulation.test_sample ... ok
> unittests.test_basepopulation.test_get_should_call_get_array_if_it_exists ... ok
> unittests.test_basepopulation.test_get_with_no_get_array ... FAIL
> unittests.test_basepopulation.test_get_with_gather ... ok
> unittests.test_basepopulation.test_set_from_dict ... ok
> unittests.test_basepopulation.test_set_from_pair ... ok
> unittests.test_basepopulation.test_set_invalid_type ... ok
> unittests.test_basepopulation.test_set_inconsistent_type ... ok
> unittests.test_basepopulation.test_set_with_no_get_array ... ok
> unittests.test_basepopulation.test_set_with_list ... ok
> unittests.test_basepopulation.test_tset_with_numeric_values ... ok
> unittests.test_basepopulation.test_tset_with_array_values ... ok
> Population.tset(): If the size of the valueArray does not match that of the Population, should raise an InvalidDimensionsError. ... ok
> unittests.test_basepopulation.test_tset_invalid_dimensions_1D ... ok
> Population.rset() ... ok
> unittests.test_basepopulation.test_rset_with_native_rng ... ok
> unittests.test_basepopulation.test_initialize ... ok
> unittests.test_basepopulation.test_initialize_random_distribution ... ok
> unittests.test_basepopulation.test_can_record ... ok
> unittests.test_basepopulation.test__record ... ok
> unittests.test_basepopulation.test__record_invalid_variable ... ok
> unittests.test_basepopulation.test_invalid_record_from ... ok
> unittests.test_basepopulation.test_spike_recording ... ok
> unittests.test_basepopulation.test_record_v ... ok
> unittests.test_basepopulation.test_record_gsyn ... ok
> unittests.test_basepopulation.test_printSpikes ... ok
> unittests.test_basepopulation.test_getSpikes ... ok
> unittests.test_basepopulation.test_print_v ... ok
> unittests.test_basepopulation.test_get_v ... ok
> unittests.test_basepopulation.test_print_gsyn ... ok
> unittests.test_basepopulation.test_get_gsyn ... ok
> unittests.test_basepopulation.test_get_spike_counts ... ok
> unittests.test_basepopulation.test_meanSpikeCount ... ok
> unittests.test_basepopulation.test_meanSpikeCount_on_slave_node ... ok
> unittests.test_basepopulation.test_inject ... ok
> unittests.test_basepopulation.test_inject_into_invalid_celltype ... ok
> unittests.test_basepopulation.test_save_positions ... ok
> unittests.test_connectors.TestAllToAllConnector.test_connect_with_distance_dependent_weights_parallel_safe ... ok
> unittests.test_connectors.TestAllToAllConnector.test_connect_with_random_weights_parallel_safe ... ok
> unittests.test_connectors.TestAllToAllConnector.test_connect_with_scalar_weights_and_delays ... ok
> unittests.test_connectors.TestAllToAllConnector.test_create_with_delays_None ... ok
> unittests.test_connectors.TestAllToAllConnector.test_create_with_delays_too_small ... ok
> unittests.test_connectors.TestAllToAllConnector.test_create_with_list_delays_too_small ... ok
> unittests.test_connectors.TestDistanceDependentProbabilityConnector.test_connect_with_default_args ... ok
> unittests.test_connectors.TestDistanceMatrix.test_really_simple0 ... ok
> unittests.test_connectors.TestDistanceMatrix.test_really_simple1 ... ok
> unittests.test_connectors.TestFixedNumberPostConnector.test_with_n_smaller_than_population_size ... ok
> unittests.test_connectors.TestFixedNumberPreConnector.test_with_n_smaller_than_population_size ... ok
> unittests.test_connectors.TestFixedProbabilityConnector.test_connect_with_default_args ... ok
> unittests.test_connectors.TestFromFileConnector.test_connect_with_standard_text_file_distributed ... ok
> unittests.test_connectors.TestFromFileConnector.test_connect_with_standard_text_file_not_distributed ... ok
> unittests.test_connectors.TestFromListConnector.test_connect_with_out_of_range_index ... ok
> unittests.test_connectors.TestFromListConnector.test_connect_with_valid_list ... ok
> unittests.test_connectors.TestOneToOneConnector.test_connect_with_random_weights ... ok
> unittests.test_connectors.TestOneToOneConnector.test_connect_with_scalar_weights_and_delays ... ok
> unittests.test_core.test_is_list_like_with_tuple ... ok
> unittests.test_core.test_is_list_like_with_list ... ok
> unittests.test_core.test_is_list_like_with_iterator ... ok
> unittests.test_core.test_is_list_like_with_set ... ok
> unittests.test_core.test_is_list_like_with_numpy_array ... ok
> unittests.test_core.test_is_list_like_with_string ... ok
> unittests.test_core.test_create_with_int ... ok
> unittests.test_core.test_create_with_float ... ok
> unittests.test_core.test_create_with_list ... ok
> unittests.test_core.test_create_with_array ... ok
> unittests.test_core.test_create_inconsistent ... ok
> unittests.test_core.test_create_with_string ... ok
> unittests.test_core.test_setitem_nonexpanded_same_value ... ok
> unittests.test_core.test_setitem_invalid_value ... ok
> unittests.test_core.test_setitem_nonexpanded_different_value ... ok
> unittests.test_core.test_columnwise_iteration_with_flat_array ... ok
> unittests.test_core.test_columnwise_iteration_with_structured_array ... ok
> unittests.test_core.test_columnwise_iteration_with_random_array_parallel_safe_no_mask ... ok
> unittests.test_core.test_columnwise_iteration_with_function ... ok
> unittests.test_core.test_columnwise_iteration_with_flat_array_and_mask ... ok
> unittests.test_core.test_columnwise_iteration_with_structured_array_and_mask ... ok
> unittests.test_core.test_columnwise_iteration_with_random_array_parallel_safe_with_mask ... ok
> unittests.test_core.test_as_array_with_flat_array ... ok
> unittests.test_core.test_as_array_with_structured_array ... ok
> unittests.test_core.test_as_array_with_functional_array ... ok
> unittests.test_core.test_iadd_with_flat_array ... ok
> unittests.test_core.test_add_with_flat_array ... ok
> unittests.test_core.test_lt_with_flat_array ... ok
> unittests.test_core.test_lt_with_structured_array ... ok
> unittests.test_core.test_structured_array_lt_array ... ok
> unittests.test_core.test_multiple_operations_with_structured_array ... ok
> unittests.test_core.test_apply_function_to_constant_array ... ok
> unittests.test_core.test_apply_function_to_structured_array ... ok
> unittests.test_core.test_apply_function_to_functional_array ... ok
> unittests.test_core.test_add_two_constant_arrays ... ok
> unittests.test_core.test_add_incommensurate_arrays ... ok
> unittests.test_core.test_getitem_from_constant_array ... ok
> unittests.test_descriptions.test_get_default_template_engine ... ok
> unittests.test_descriptions.test_render_with_no_template ... ok
> unittests.test_descriptions.test_render_with_template ... ok
> unittests.test_descriptions.test_StringTE_get_template ... ok
> unittests.test_descriptions.test_StringTE_get_template_from_file ... ok
> unittests.test_descriptions.test_StringTE_render ... ok
> unittests.test_descriptions.test_Jinja2TE_get_template_from_file ... ok
> unittests.test_descriptions.test_Jinja2TE_render ... ok
> unittests.test_descriptions.test_CheetahTE_get_template_from_file ... ok
> unittests.test_descriptions.test_CheetahTE_render ... ok
> unittests.test_files.test__savetxt ... ok
> unittests.test_files.test_create_BaseFile ... ok
> unittests.test_files.test_del ... ok
> unittests.test_files.test_close ... ok
> unittests.test_files.test_StandardTextFile_write ... ok
> unittests.test_files.test_StandardTextFile_read ... ok
> unittests.test_files.test_PickleFile ... ok
> unittests.test_files.test_NumpyBinaryFile ... FAIL
> unittests.test_files.test_HDF5ArrayFile ... ok
> unittests.test_idmixin.Test_IDMixin.test_celltype_property ... ok
> unittests.test_idmixin.Test_IDMixin.test_get_initial_value ... ok
> unittests.test_idmixin.Test_IDMixin.test_get_parameters ... ok
> unittests.test_idmixin.Test_IDMixin.test_getattr_with_nonparameter_attr ... ok
> unittests.test_idmixin.Test_IDMixin.test_getattr_with_parameter_attr ... ok
> unittests.test_idmixin.Test_IDMixin.test_getattr_with_parent_not_set ... ok
> unittests.test_idmixin.Test_IDMixin.test_inject ... ok
> unittests.test_idmixin.Test_IDMixin.test_is_standard_cell ... ok
> unittests.test_idmixin.Test_IDMixin.test_local_property ... ok
> unittests.test_idmixin.Test_IDMixin.test_position_property ... ok
> unittests.test_idmixin.Test_IDMixin.test_set_initial_value ... ok
> unittests.test_idmixin.Test_IDMixin.test_set_parameters ... ok
> unittests.test_idmixin.Test_IDMixin.test_setattr_with_parameter_attr ... ok
> unittests.test_lowlevelapi.test_build_create ... ok
> unittests.test_lowlevelapi.test_build_connect ... ok
> unittests.test_lowlevelapi.test_set ... ok
> unittests.test_lowlevelapi.test_build_record ... ok
> unittests.test_lowlevelapi.test_build_record_with_assembly ... ok
> unittests.test_population.test_create_population_standard_cell_simple ... ok
> unittests.test_population.test_create_population_standard_cell_with_params ... ok
> unittests.test_population.test_create_population_with_implicit_grid ... ok
> unittests.test_population.test_cell_property ... /«PKGBUILDDIR»/build/lib.linux-x86_64-2.7/pyNN/common.py:915: UserWarning: The `Population.cell` attribute is not an official part of the               API, and its use is deprecated. It will be removed in a future               release. All uses of `cell` may be replaced by `all_cells`
>   release. All uses of `cell` may be replaced by `all_cells`")
> ok
> unittests.test_population.test_id_to_index ... ok
> unittests.test_population.test_id_to_index_with_array ... ok
> unittests.test_population.test_id_to_index_with_populationview ... ok
> unittests.test_population.test_id_to_index_with_invalid_id ... ok
> unittests.test_population.test_id_to_index_with_invalid_ids ... ok
> unittests.test_population.test_id_to_local_index ... ok
> unittests.test_population.test_id_to_local_index_with_invalid_id ... ok
> unittests.test_population.test_set_structure ... ok
> unittests.test_population.test_get_positions ... ok
> unittests.test_population.test_set_positions ... ok
> unittests.test_population.test_position_generator ... ok
> unittests.test_population.test_describe ... ok
> unittests.test_populationview.test_create_with_boolean_array_selector ... ok
> unittests.test_populationview.test_create_with_index_array_selector ... ok
> unittests.test_populationview.test_create_with_slice_selector ... ok
> unittests.test_populationview.test_structure_property ... ok
> unittests.test_populationview.test_get_positions ... ok
> unittests.test_populationview.test_id_to_index ... ok
> unittests.test_populationview.test_describe ... ok
> unittests.test_projection.test_create_simple ... ok
> unittests.test_projection.test_create_with_synapse_dynamics ... ok
> unittests.test_projection.test_len ... ok
> unittests.test_projection.test_size_no_gather ... ok
> unittests.test_projection.test_size_with_gather ... ok
> unittests.test_projection.test__getitem ... ok
> unittests.test_projection.test_set_weights ... ok
> unittests.test_projection.test_randomize_weights ... ok
> unittests.test_projection.test_set_delays ... ok
> unittests.test_projection.test_randomize_delays ... ok
> unittests.test_projection.test_set_synapse_dynamics_param ... ok
> unittests.test_projection.test_get_weights ... ok
> unittests.test_projection.test_get_delays ... ok
> unittests.test_projection.test_save_connections ... ok
> unittests.test_projection.test_print_weights_as_list ... ok
> unittests.test_projection.test_print_weights_as_array ... ok
> unittests.test_projection.test_weight_histogram_with_args ... ok
> unittests.test_projection.test_weight_histogram_no_args ... ok
> unittests.test_projection.test_describe ... ok
> test_create (unittests.test_random.NativeRNGTests) ... ok
> test_parallel_safe_with_mask_local (unittests.test_random.ParallelTests) ... ok
> test_parallel_safe_with_mask_local_False (unittests.test_random.ParallelTests) ... ok
> test_parallel_safe_with_mask_local_None (unittests.test_random.ParallelTests) ... ok
> test_parallel_unsafe (unittests.test_random.ParallelTests) ... ok
> test_permutation (unittests.test_random.ParallelTests) ... ok
> test_boundaries (unittests.test_random.RandomDistributionTests) ... ok
> test_gamma (unittests.test_random.RandomDistributionTests) ... ok
> test_gaussian (unittests.test_random.RandomDistributionTests) ... ok
> test_uniform (unittests.test_random.RandomDistributionTests) ... ok
> Calling next(0) should return an empty array. ... ok
> Calling next() with no arguments or with n=1 should return a float. ... ok
> Calling next(n=m) where m > 1 should return an array. ... ok
> Calling next(m) where m < 0 should raise a ValueError. ... ok
> test_invalid_seed (unittests.test_random.SimpleTests) ... ok
> unittests.test_recording.test_Recorder_create ... ok
> unittests.test_recording.test_Recorder_invalid_variable ... ok
> unittests.test_recording.test_record ... ok
> unittests.test_recording.test_filter_recorded ... ok
> unittests.test_recording.test_get__zero_offset ... ok
> unittests.test_recording.test_write__with_filename__compatible_output__gather__onroot ... ok
> unittests.test_recording.test_metadata_property ... ok
> unittests.test_recording.test__make_compatible_spikes ... ok
> unittests.test_recording.test__make_compatible_v ... ok
> unittests.test_simulation_control.test_setup ... ok
> unittests.test_simulation_control.test_end ... ok
> unittests.test_simulation_control.test_run ... ok
> unittests.test_simulation_control.test_reset ... ok
> unittests.test_simulation_control.test_initialize ... ok
> unittests.test_simulation_control.test_current_time ... ok
> unittests.test_simulation_control.test_time_step ... ok
> unittests.test_simulation_control.test_min_delay ... ok
> unittests.test_simulation_control.test_max_delay ... ok
> unittests.test_simulation_control.test_num_processes ... ok
> unittests.test_simulation_control.test_rank ... ok
> unittests.test_space.Grid2D_Test.test_calculate_size ... ok
> unittests.test_space.Grid2D_Test.test_generate_positions ... ok
> unittests.test_space.Grid3D_Test.test_calculate_size ... ok
> unittests.test_space.Grid3D_Test.test_generate_positions ... ok
> test__eq__ (unittests.test_space.LineTest) ... ok
> test_generate_positions (unittests.test_space.LineTest) ... ok
> test_generate_positions_default_parameters (unittests.test_space.LineTest) ... ok
> test_get_parameters (unittests.test_space.LineTest) ... ok
> test_cylindrical_space (unittests.test_space.SpaceTest) ... ok
> test_generator_for_infinite_space_with_3D_distances (unittests.test_space.SpaceTest) ... ok
> test_infinite_space_with_3D_distances (unittests.test_space.SpaceTest) ... ok
> test_infinite_space_with_collapsed_axes (unittests.test_space.SpaceTest) ... ok
> test_infinite_space_with_scale_and_offset (unittests.test_space.SpaceTest) ... ok
> unittests.test_space.TestCuboid.test_sample ... ok
> unittests.test_space.TestRandomStructure.test_generate_positions ... ok
> unittests.test_space.TestSphere.test__create ... ok
> unittests.test_space.TestSphere.test_sample ... ok
> unittests.test_space.test_distance ... ok
> unittests.test_standardmodels.test_build_translations ... ok
> unittests.test_standardmodels.test_has_parameter ... ok
> unittests.test_standardmodels.test_get_parameter_names ... ok
> Instantiating a StandardModelType should set self.parameters to the value ... ok
> unittests.test_standardmodels.test_checkParameters_without_defaults ... ok
> unittests.test_standardmodels.test_checkParameters_with_defaults ... ok
> unittests.test_standardmodels.test_checkParameters_with_nonexistent_parameter ... ok
> unittests.test_standardmodels.test_checkParameters_with_invalid_value ... ok
> unittests.test_standardmodels.test_translate ... ok
> unittests.test_standardmodels.test_translate_with_invalid_transformation ... ok
> unittests.test_standardmodels.test_translate_with_divide_by_zero_error ... ok
> unittests.test_standardmodels.test_reverse_translate ... ok
> unittests.test_standardmodels.test_reverse_translate_with_invalid_transformation ... ok
> unittests.test_standardmodels.test_simple_parameters ... ok
> unittests.test_standardmodels.test_scaled_parameters ... ok
> unittests.test_standardmodels.test_computed_parameters ... ok
> update_parameters(P) should update self.parameters with the value of ... ok
> unittests.test_standardmodels.test_describe ... ok
> unittests.test_standardmodels.test_describe_SD ... ok
> unittests.test_standardmodels.test_STDPMechanism_create ... ok
> unittests.test_standardmodels.test_STDPMechanism_create_invalid_types ... ok
> unittests.test_utility_functions.test_is_conductance ... ok
> unittests.test_utility_functions.test_is_conductance_with_nonlocal_cell ... ok
> unittests.test_utility_functions.test_check_weight_with_scalar ... ok
> unittests.test_utility_functions.test_check_weight_with_list ... ok
> unittests.test_utility_functions.test_check_weight_with_NaN ... ok
> unittests.test_utility_functions.test_check_weight_with_invalid_value ... ok
> unittests.test_utility_functions.test_check_weight_is_conductance_is_None ... ok
> unittests.test_utility_functions.test_check_delay ... ok
> 
> ======================================================================
> FAIL: unittests.test_basepopulation.test_get_with_no_get_array
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/«PKGBUILDDIR»/test/unittests/test_basepopulation.py", line 172, in test_get_with_no_get_array
>     assert_equal(values[0]._name, "i_offset")
> AssertionError: <Mock name='mock.i_offset._name' id='55966672'> != 'i_offset'
> 
> ======================================================================
> FAIL: unittests.test_files.test_NumpyBinaryFile
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/«PKGBUILDDIR»/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
>     assert_equal(nbf.get_metadata(), metadata)
> AssertionError: {'a': 1, 'b': 9} != {'a': 1, 'b': 9.99}
> - {'a': 1, 'b': 9}
> + {'a': 1, 'b': 9.99}
> ?               +++
> 
> 
> ----------------------------------------------------------------------
> Ran 294 tests in 2.136s
> 
> FAILED (SKIP=6, failures=2)
> make[1]: *** [override_dh_auto_test] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/pynn_0.7.2-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#669466; Package src:pynn. (Sun, 17 Jun 2012 08:24:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Sun, 17 Jun 2012 08:24:56 GMT) Full text and rfc822 format available.

Message #10 received at 669466@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: 669466@bugs.debian.org
Subject: Re: Bug#669466: pynn: FTBFS: tests failed
Date: Sun, 17 Jun 2012 10:22:42 +0200
Hi,

I checked whether this issue is still present. I ran the tests in a
clean sid chroot and my results are a bit different from Lucas':

> > ======================================================================
> > FAIL: unittests.test_basepopulation.test_get_with_no_get_array
> > ----------------------------------------------------------------------
> > Traceback (most recent call last):
> >   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
> >     self.test(*self.arg)
> >   File "/«PKGBUILDDIR»/test/unittests/test_basepopulation.py", line 172, in test_get_with_no_get_array
> >     assert_equal(values[0]._name, "i_offset")
> > AssertionError: <Mock name='mock.i_offset._name' id='55966672'> != 'i_offset'
> > 
> > ======================================================================
> > FAIL: unittests.test_files.test_NumpyBinaryFile
> > ----------------------------------------------------------------------
> > Traceback (most recent call last):
> >   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
> >     self.test(*self.arg)
> >   File "/«PKGBUILDDIR»/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
> >     assert_equal(nbf.get_metadata(), metadata)
> > AssertionError: {'a': 1, 'b': 9} != {'a': 1, 'b': 9.99}
> > - {'a': 1, 'b': 9}
> > + {'a': 1, 'b': 9.99}
> > ?               +++

======================================================================
ERROR: unittests.test_files.test_NumpyBinaryFile
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/tmp/buildd/pynn-0.7.2/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
    assert_equal(nbf.get_metadata(), metadata)
  File "/tmp/buildd/pynn-0.7.2/build/lib.linux-x86_64-2.7/pyNN/recording/files.py", line 216, in get_metadata
    self.fileobj.seek(0)
ValueError: I/O operation on closed file

======================================================================
FAIL: unittests.test_basepopulation.test_get_with_no_get_array
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/tmp/buildd/pynn-0.7.2/test/unittests/test_basepopulation.py", line 172, in test_get_with_no_get_array
    assert_equal(values[0]._name, "i_offset")
AssertionError: <Mock name='mock.i_offset._name' id='58536080'> != 'i_offset'

----------------------------------------------------------------------
Ran 294 tests in 0.597s

FAILED (SKIP=6, errors=1, failures=1)


-- 
Michael Hanke
http://mih.voxindeserto.de




Reply sent to Yaroslav Halchenko <yoh@debian.org>:
You have marked Bug as forwarded. (Mon, 18 Jun 2012 02:03:06 GMT) Full text and rfc822 format available.

Message #13 received at 669466-forwarded@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Michael Hanke <mih@debian.org>, Andrew Davison <andrewpdavison@gmail.com>
Cc: 669466-forwarded@bugs.debian.org
Subject: Re: Bug#669466: pynn: FTBFS: tests failed
Date: Sun, 17 Jun 2012 22:01:37 -0400
forwarded 669466 https://groups.google.com/forum/?fromgroups#!topic/neuralensemble/sGUmGvnUzLM
thanks

Sorry, forgot to tag it properly ;)
Andrew -- I wonder if you had a chance to look at those failures?


On Sun, 17 Jun 2012, Michael Hanke wrote:

> Hi,

> I checked whether this issue is still present. I ran the tests in a
> clean sid chroot and my results are a bit different from Lucas':

> > > ======================================================================
> > > FAIL: unittests.test_basepopulation.test_get_with_no_get_array
> > > ----------------------------------------------------------------------
> > > Traceback (most recent call last):
> > >   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
> > >     self.test(*self.arg)
> > >   File "/«PKGBUILDDIR»/test/unittests/test_basepopulation.py", line 172, in test_get_with_no_get_array
> > >     assert_equal(values[0]._name, "i_offset")
> > > AssertionError: <Mock name='mock.i_offset._name' id='55966672'> != 'i_offset'

> > > ======================================================================
> > > FAIL: unittests.test_files.test_NumpyBinaryFile
> > > ----------------------------------------------------------------------
> > > Traceback (most recent call last):
> > >   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
> > >     self.test(*self.arg)
> > >   File "/«PKGBUILDDIR»/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
> > >     assert_equal(nbf.get_metadata(), metadata)
> > > AssertionError: {'a': 1, 'b': 9} != {'a': 1, 'b': 9.99}
> > > - {'a': 1, 'b': 9}
> > > + {'a': 1, 'b': 9.99}
> > > ?               +++

> ======================================================================
> ERROR: unittests.test_files.test_NumpyBinaryFile
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/tmp/buildd/pynn-0.7.2/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
>     assert_equal(nbf.get_metadata(), metadata)
>   File "/tmp/buildd/pynn-0.7.2/build/lib.linux-x86_64-2.7/pyNN/recording/files.py", line 216, in get_metadata
>     self.fileobj.seek(0)
> ValueError: I/O operation on closed file

> ======================================================================
> FAIL: unittests.test_basepopulation.test_get_with_no_get_array
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/tmp/buildd/pynn-0.7.2/test/unittests/test_basepopulation.py", line 172, in test_get_with_no_get_array
>     assert_equal(values[0]._name, "i_offset")
> AssertionError: <Mock name='mock.i_offset._name' id='58536080'> != 'i_offset'

> ----------------------------------------------------------------------
> Ran 294 tests in 0.597s

> FAILED (SKIP=6, errors=1, failures=1)
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#669466; Package src:pynn. (Mon, 02 Jul 2012 21:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yarikoptic@gmail.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 02 Jul 2012 21:42:08 GMT) Full text and rfc822 format available.

Message #18 received at 669466@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yarikoptic@gmail.com>
To: neuralensemble@googlegroups.com
Cc: team@neuro.debian.net, 669466@bugs.debian.org
Subject: Re: [NeuralEnsemble] PyNN: fresh tests failures with 0.7.2
Date: Mon, 2 Jul 2012 17:38:12 -0400
[Message part 1 (text/plain, inline)]
oki doki -- here is an update -- boiled down all numpy-related issues (I have
not looked at the failing mock-related test -- which smells also like a
regression in mock 0.8.0):

1.
> NB unittests.test_files.test_NumpyBinaryFile failure seems was gone in
> its own course with upgrades of numpy

> but I also started to get 
> ======================================================================
> ERROR: unittests.test_files.test_NumpyBinaryFile
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/tmp/buildd/pynn-0.7.2/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
>     assert_equal(nbf.get_metadata(), metadata)
>   File "/tmp/buildd/pynn-0.7.2/build/lib.linux-x86_64-2.7/pyNN/recording/files.py", line 216, in get_metadata
>     self.fileobj.seek(0)
> ValueError: I/O operation on closed file

here is the report:
http://projects.scipy.org/numpy/ticket/2178#comment:1
and tentative fix
https://github.com/numpy/numpy/pull/328

pynn "workaround" would probably simply to disable that portions
of the test on numpy >= 1.6, and <= (where gets fixed).

agree?

2.

A new one
======================================================================
FAIL: unittests.test_files.test_StandardTextFile_write
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/home/yoh/deb/gits/pkg-exppsy/pynn/test/unittests/test_files.py", line 57, in test_StandardTextFile_write
    target)
AssertionError: [call('# a = 1\n# b = 9.99\n'),
 call('0.0\t2.2999999999999998\n'),
 call('1.0\t3.3999999999999999\n'),
 call('2.0\t4.2999999999999998\n')] != [(('# a = 1\n# b = 9.99\n',), {}), (('0.0\t2.3\n',), {}), (('1.0\t3.4\n',), {}), (('2.0\t4.3\n',), {})]


which I haven't figured out 100% but 

$> python2.7 -c "print repr([(0, 2.3),(1, 3.4),(2, 4.3)])"                                                 
[(0, 2.3), (1, 3.4), (2, 4.3)]
$> python2.6 -c "print repr([(0, 2.3),(1, 3.4),(2, 4.3)])" 
[(0, 2.2999999999999998), (1, 3.3999999999999999), (2, 4.2999999999999998)]

suggests that it might be just worth not relying on repr of FPs where
either decimal or binary form aren't unambiguous, so please
find/accept/consider attached patch or advise on the alternative resolution

3.
> ======================================================================
> FAIL: unittests.test_files.test_NumpyBinaryFile
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in runTest
>     self.test(*self.arg)
>   File "/«PKGBUILDDIR»/test/unittests/test_files.py", line 92, in test_NumpyBinaryFile
>     assert_equal(nbf.get_metadata(), metadata)
> AssertionError: {'a': 1, 'b': 9} != {'a': 1, 'b': 9.99}
> - {'a': 1, 'b': 9}
> + {'a': 1, 'b': 9.99}
> ?               +++

boiled down once again to numpy's regression (fixed upstream in as bisected
e15d0bdd3cc0bc0928e1f4d0b419a2fb3de02af9)

Debian bug report: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679948
pynn resolution:  

 is metadata always of 'float' type?  then dtype=(str, float) could be
provided to np.array within NumpyBinaryFile.save  to assure correct dtype... 

 please advise

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        
[0001-BF-test_StandardTextFile_write-test-on-numbers-with-.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#669466; Package src:pynn. (Tue, 03 Jul 2012 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Davison <andrew.davison@unic.cnrs-gif.fr>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Tue, 03 Jul 2012 16:03:04 GMT) Full text and rfc822 format available.

Message #23 received at 669466@bugs.debian.org (full text, mbox):

From: Andrew Davison <andrew.davison@unic.cnrs-gif.fr>
To: neuralensemble@googlegroups.com
Cc: team@neuro.debian.net, 669466@bugs.debian.org
Subject: Re: [NeuralEnsemble] PyNN: fresh tests failures with 0.7.2
Date: Tue, 3 Jul 2012 17:28:32 +0200
OK, all the unit tests now pass on a fresh install of Debian Wheezy  
(which has NumPy 1.6.2), as well as on Ubuntu 11.04 (NumPy 1.5.1).

I've made a new bug-fix release:

package:  http://pypi.python.org/pypi/PyNN/0.7.4
source: https://neuralensemble.org/svn/PyNN/tags/0.7.4 or https://neuralensemble.org/svn/PyNN/branches/0.7

Please let me know if there are any problems.

Cheers,

Andrew


On 2 juil. 12, at 23:38, Yaroslav Halchenko wrote:
> oki doki -- here is an update -- boiled down all numpy-related  
> issues (I have
> not looked at the failing mock-related test -- which smells also  
> like a
> regression in mock 0.8.0):
>
> 1.
>> NB unittests.test_files.test_NumpyBinaryFile failure seems was gone  
>> in
>> its own course with upgrades of numpy
>
>> but I also started to get
>> = 
>> =====================================================================
>> ERROR: unittests.test_files.test_NumpyBinaryFile
>> ----------------------------------------------------------------------
>> Traceback (most recent call last):
>>  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in  
>> runTest
>>    self.test(*self.arg)
>>  File "/tmp/buildd/pynn-0.7.2/test/unittests/test_files.py", line  
>> 92, in test_NumpyBinaryFile
>>    assert_equal(nbf.get_metadata(), metadata)
>>  File "/tmp/buildd/pynn-0.7.2/build/lib.linux-x86_64-2.7/pyNN/ 
>> recording/files.py", line 216, in get_metadata
>>    self.fileobj.seek(0)
>> ValueError: I/O operation on closed file
>
> here is the report:
> http://projects.scipy.org/numpy/ticket/2178#comment:1
> and tentative fix
> https://github.com/numpy/numpy/pull/328
>
> pynn "workaround" would probably simply to disable that portions
> of the test on numpy >= 1.6, and <= (where gets fixed).
>
> agree?
>
> 2.
>
> A new one
> ======================================================================
> FAIL: unittests.test_files.test_StandardTextFile_write
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in  
> runTest
>    self.test(*self.arg)
>  File "/home/yoh/deb/gits/pkg-exppsy/pynn/test/unittests/ 
> test_files.py", line 57, in test_StandardTextFile_write
>    target)
> AssertionError: [call('# a = 1\n# b = 9.99\n'),
> call('0.0\t2.2999999999999998\n'),
> call('1.0\t3.3999999999999999\n'),
> call('2.0\t4.2999999999999998\n')] != [(('# a = 1\n# b = 9.99\n',),  
> {}), (('0.0\t2.3\n',), {}), (('1.0\t3.4\n',), {}), (('2.0\t4.3\n',),  
> {})]
>
>
> which I haven't figured out 100% but
>
> $> python2.7 -c "print repr([(0, 2.3),(1, 3.4),(2, 4.3)])"
> [(0, 2.3), (1, 3.4), (2, 4.3)]
> $> python2.6 -c "print repr([(0, 2.3),(1, 3.4),(2, 4.3)])"
> [(0, 2.2999999999999998), (1, 3.3999999999999999), (2,  
> 4.2999999999999998)]
>
> suggests that it might be just worth not relying on repr of FPs where
> either decimal or binary form aren't unambiguous, so please
> find/accept/consider attached patch or advise on the alternative  
> resolution
>
> 3.
>> = 
>> =====================================================================
>> FAIL: unittests.test_files.test_NumpyBinaryFile
>> ----------------------------------------------------------------------
>> Traceback (most recent call last):
>>  File "/usr/lib/python2.7/dist-packages/nose/case.py", line 197, in  
>> runTest
>>    self.test(*self.arg)
>>  File "/«PKGBUILDDIR»/test/unittests/test_files.py", line 92, in  
>> test_NumpyBinaryFile
>>    assert_equal(nbf.get_metadata(), metadata)
>> AssertionError: {'a': 1, 'b': 9} != {'a': 1, 'b': 9.99}
>> - {'a': 1, 'b': 9}
>> + {'a': 1, 'b': 9.99}
>> ?               +++
>
> boiled down once again to numpy's regression (fixed upstream in as  
> bisected
> e15d0bdd3cc0bc0928e1f4d0b419a2fb3de02af9)
>
> Debian bug report: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679948
> pynn resolution:
>
> is metadata always of 'float' type?  then dtype=(str, float) could be
> provided to np.array within NumpyBinaryFile.save  to assure correct  
> dtype...
>
> please advise
>
> -- 
> Yaroslav O. Halchenko
> Postdoctoral Fellow,   Department of Psychological and Brain Sciences
> Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
> Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
> WWW:   http://www.linkedin.com/in/yarik
>
> -- 
> You received this message because you are subscribed to the Google  
> Groups "Neural Ensemble" group.
> To post to this group, send an email to neuralensemble@googlegroups.com 
> .
> To unsubscribe from this group, send email to neuralensemble+unsubscribe@googlegroups.com 
> .
> For more options, visit this group at http://groups.google.com/group/neuralensemble?hl=en-GB 
> .
>
> <0001-BF-test_StandardTextFile_write-test-on-numbers-with-.patch>

--
Dr Andrew Davison
Unité de Neuroscience, Information et Complexité (UNIC)
Institut de Neurobiologie Alfred Fessard
Centre Nationale de la Recherche Scientifique
1, avenue de la Terrasse
91198 Gif sur Yvette
France

Tel: +33 1 69 82 34 51
http://www.andrewdavison.info/









Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#669466; Package src:pynn. (Wed, 04 Jul 2012 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Wed, 04 Jul 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #28 received at 669466@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Andrew Davison <andrew.davison@unic.cnrs-gif.fr>, 669466@bugs.debian.org
Cc: team@neuro.debian.net
Subject: Re: Bug#669466: [NeuralEnsemble] PyNN: fresh tests failures with 0.7.2
Date: Wed, 4 Jul 2012 00:46:54 -0400
Thank you Andrew!  I have uploaded 0.7.4-1 to unstable -- now the
job would be to persuade release team to allow it to enter wheezy ;-)


On Tue, 03 Jul 2012, Andrew Davison wrote:

> OK, all the unit tests now pass on a fresh install of Debian Wheezy
> (which has NumPy 1.6.2), as well as on Ubuntu 11.04 (NumPy 1.5.1).

> I've made a new bug-fix release:

> package:  http://pypi.python.org/pypi/PyNN/0.7.4
> source: https://neuralensemble.org/svn/PyNN/tags/0.7.4 or https://neuralensemble.org/svn/PyNN/branches/0.7

> Please let me know if there are any problems.

> Cheers,

> Andrew
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Wed, 04 Jul 2012 05:06:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 04 Jul 2012 05:06:04 GMT) Full text and rfc822 format available.

Message #33 received at 669466-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 669466-close@bugs.debian.org
Subject: Bug#669466: fixed in pynn 0.7.4-1
Date: Wed, 04 Jul 2012 05:02:38 +0000
Source: pynn
Source-Version: 0.7.4-1

We believe that the bug you reported is fixed in the latest version of
pynn, which is due to be installed in the Debian FTP archive:

pynn_0.7.4-1.debian.tar.gz
  to main/p/pynn/pynn_0.7.4-1.debian.tar.gz
pynn_0.7.4-1.dsc
  to main/p/pynn/pynn_0.7.4-1.dsc
pynn_0.7.4.orig.tar.gz
  to main/p/pynn/pynn_0.7.4.orig.tar.gz
python-pynn_0.7.4-1_all.deb
  to main/p/pynn/python-pynn_0.7.4-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated pynn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Jul 2012 23:54:42 -0400
Source: pynn
Binary: python-pynn
Architecture: source all
Version: 0.7.4-1
Distribution: unstable
Urgency: low
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 python-pynn - simulator-independent specification of neuronal network models
Closes: 669466
Changes: 
 pynn (0.7.4-1) unstable; urgency=low
 .
   * New upstream release
     - fixes a few bugs detected upstream
     - works around regressions of numpy 1.6 (e.g. #679948, #679998) and
       mock 0.8 allowing unittests to pass (Closes: #669466)
Checksums-Sha1: 
 21b4fc43aed67b25880d61482148ee9c9ea437fd 1374 pynn_0.7.4-1.dsc
 aa45641eaa4e9d434287c479b69c0dc593bf9aab 262543 pynn_0.7.4.orig.tar.gz
 0928a9c453454b2c5473b36a3f77640e42869cdb 10403 pynn_0.7.4-1.debian.tar.gz
 12e032067296bb18f6a4d7bcf5dfeb453dafcf40 192044 python-pynn_0.7.4-1_all.deb
Checksums-Sha256: 
 211f1edc9be06e2a4683d18d8fda2f3ab2795b26561402937d3c2f69cb51cb14 1374 pynn_0.7.4-1.dsc
 1dc4fbed549cd02cf62efb666e86b9b34e64ee4103a3df05de5be667c8d5ddc3 262543 pynn_0.7.4.orig.tar.gz
 1c221b0d153bbcda1016415bb3fded00e497f0dd34fb61a3f820583549e32337 10403 pynn_0.7.4-1.debian.tar.gz
 cb6172dce7ed32f0a68a14b13e72f1e9ed08b5da1980c26f61a1a617c2865942 192044 python-pynn_0.7.4-1_all.deb
Files: 
 1926831e710430d3bc599457a45edccf 1374 python extra pynn_0.7.4-1.dsc
 624cbdc1ede15f4e2fdc148e860fd347 262543 python extra pynn_0.7.4.orig.tar.gz
 bdcd6a0d8def62ad091187ddb2efe26e 10403 python extra pynn_0.7.4-1.debian.tar.gz
 0f00d42096b11a86507234302434424f 192044 python extra python-pynn_0.7.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/zyggACgkQjRFFY3XAJMiDhQCgi/hAVsz4WKR3KNgrNd27lScJ
hSkAoJIQ20sJGIeKd/qxQKofYl420dZN
=bs1l
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 07:37:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:50:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.